<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
	    
		<h2>Oblasti</h2>
		
		<h:form>
			<!-- funguje to iterativne, var rika, jak oznacime jednu aktualni polozku v ramci cyklu -->
			<!-- foreach person in personBean.people -->
			<h:dataTable value="#{oblastBean.oblasti}" var="oblast"  styleClass="table"  columnClasses="text-center,text-left,text-right,text-center">
				<h:column>
					<f:facet name="header">
						ID
					</f:facet>
					<h:outputText value="#{oblast.idOblast}"></h:outputText>
				</h:column>
				<h:column>	
					<f:facet name="header">
						Název
					</f:facet>
					<h:outputText value="#{oblast.nazev}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Taxa za odvoz
					</f:facet>
					<h:outputText value="#{oblast.taxaZaOdvoz} Kč"></h:outputText>
				</h:column>
				<h:column  rendered="#{authenticationBean.canView('admin')}">
					<h:commandLink action="#{oblastBean.actionEdit(oblast)}">
						<i class="fa fa-pencil fa-15x" aria-hidden="true" title="Upravit"></i>
					</h:commandLink>
				</h:column>
			</h:dataTable>
			<h:commandLink action="#{oblastBean.actionNew}" styleClass="button"  rendered="#{authenticationBean.canView('admin')}">
				<h:outputText value="Nová oblast"></h:outputText>
			</h:commandLink>
		</h:form>
	</ui:define>
</ui:composition>
</html>
